Apps: Global Notification Settings
PUT /apps/{app_id}/global_notification_settingsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
setting_attributes |
object | No | |
setting_attributes.send_value |
int | No | must be greater than 0 or empty |
setting_attributes.silent_push |
boolean | No | Toggle active silent campaign e.g. true or false |
setting_attributes.time_frame |
string | No | Timeframe e.g minutes,hours,days,weeks,months or years |
setting_attributes.time_value |
int | No | Must be greater than 0 or empty |
setting_attributes.wait_frame |
string | No | Wait frame e.g. minutes, hours, days, weeks, months or years |
setting_attributes.wait_value |
string | No | Must be greater than 0 or empty |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/global_notification_settings \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "setting_attributes": { "send_value": 11, "time_value": 12, "time_frame": "hours", "silent_push": true, "wait_value": 13, "wait_frame": "minutes" }}'
